kdelibs -- unsanitised input

2005-01-10T00:00:00
ID DSA-631
Type debian
Reporter Debian
Modified 2005-01-10T00:00:00

Description

Thiago Macieira discovered a vulnerability in the kioslave library, which is part of kdelibs, which allows a remote attacker to execute arbitrary FTP commands via an ftp:// URL that contains a URL-encoded newline before the FTP command.

For the stable distribution (woody) this problem has been fixed in version 2.2.2-13.woody.13.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your kdelibs3 package.